import { Event, ProjectReflection, Reflection } from 'typedoc';
import { NavigationItem, UrlMapping } from '../theme';
import { RenderTemplate } from '../theme/core/urls';
/**
 * Extends the RendererEvent from TypeDoc to expose navigation property.
 */
export declare class MarkdownRendererEvent extends Event {
    readonly project: ProjectReflection;
    readonly outputDirectory: string;
    urls?: UrlMapping<Reflection>[];
    navigation: NavigationItem[];
    static readonly BEGIN = "beginRender";
    static readonly END = "endRender";
    /**
     * @hidden
     */
    constructor(name: string, outputDirectory: string, project: ProjectReflection);
    /**
     * @hidden
     */
    createPageEvent<Model>(mapping: UrlMapping<Model>): [RenderTemplate<MarkdownPageEvent<Model>>, MarkdownPageEvent<Model>];
}
export declare class MarkdownPageEvent<out Model = Reflection> extends Event {
    project: ProjectReflection;
    filename: string;
    url: string;
    contents?: string;
    frontmatter?: any;
    pageHeadings: any;
    readonly model: Model;
    static readonly BEGIN = "beginPage";
    static readonly END = "endPage";
    constructor(name: string, model: Model);
}
