/**
 * This module contains functionality to setup the plugin and configure the renderer.
 *
 * @module
 */
import { Application } from 'typedoc';
/**
 * The function that is called by TypeDoc to bootstrap the plugin. https://typedoc.org/guides/development/#plugins.
 *
 * Here we expose additional TypeDoc options and make some adjustments.
 *
 * This method is not intended to be consumed in any other context that via the `plugin` option.
 */
export declare function load(app: Application): void;
export * from './events';
export * from './options/option-maps';
export * from './options/option-types';
export * from './types';
