import { ProjectReflection } from 'typedoc';
/**
 * Contains functionality to decouple HTML logic from the TypeDoc's {@link Renderer}.
 *
 * @todo Investigate ways to properly decouple HTML logic from the TypeDoc renderer.
 *
 * @module
 */
/**
 * Replacement of TypeDoc's {@link Application.generateDocs} method to decouple HTML logic.
 *
 */
export declare function generateDocs(project: ProjectReflection, out: string): Promise<void>;
/**
 * Replacement of TypeDoc's {@link Renderer.render} method to decouple HTML logic.
 *
 * This is essentially a copy of the base method with a few tweaks.
 *
 * - Removes uneccessary async calls to load highlighters only required for html theme.
 * - Removes hooks logic that are jsx specific.
 * - Adds any logic specific to markdown rendering.
 */
export declare function render(project: ProjectReflection, outputDirectory: string): Promise<void>;
