import { ProjectReflection, Reflection, ReflectionKind } from 'typedoc';
import { MarkdownPageEvent, MarkdownTheme } from '../..';
import { OutputFileStrategy } from '../../plugin/options/option-maps';
export interface UrlOption {
    parentUrl?: string;
    directory?: string | null;
    forceDirectory?: boolean;
    outputFileStrategy?: OutputFileStrategy;
}
export interface TemplateMapping {
    directory: string | null;
    template: any;
    kind: ReflectionKind;
}
export interface UrlMapping<Model = any> {
    url: string;
    model: Model;
    template: RenderTemplate<MarkdownPageEvent<Model>>;
}
export type RenderTemplate<T> = (data: T) => string;
/**
 * Map the models of the given project to the desired output files.
 * Based on TypeDoc DefaultTheme.getUrls()
 *
 * @param project  The project whose urls should be generated.
 */
export declare function getUrls(theme: MarkdownTheme, project: ProjectReflection): UrlMapping<Reflection>[];
