"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.codeBlock = void 0;
function codeBlock(content) {
    const unEscapeChars = (str) => {
        return str
            .replace(/\\</g, '<')
            .replace(/\\>/g, '>')
            .replace(/\\_/g, '_')
            .replace(/\\{/g, '{')
            .replace(/`/g, '')
            .replace(/\*\*/g, '')
            .replace(/\\\|/g, '|')
            .replace(/\\\]/g, ']')
            .replace(/\\\[/g, '[')
            .replace(/\[([^\[\]]*)\]\((.*?)\)/gm, '$1');
    };
    const trimLastLine = (content) => {
        const lines = content.split('\n');
        return lines
            .map((line, index) => (index === lines.length - 1 ? line.trim() : line))
            .join('\n');
    };
    const trimmedContent = content.endsWith('}') ||
        content.endsWith('};') ||
        content.endsWith('>') ||
        content.endsWith('>;')
        ? trimLastLine(content)
        : content;
    return '```ts\n' + unEscapeChars(trimmedContent) + '\n```';
}
exports.codeBlock = codeBlock;
