"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.breadcrumbs = void 0;
const path = __importStar(require("path"));
const utils_1 = require("../utils");
function breadcrumbs(context, page) {
    const md = [];
    const entryFileName = context.options.getValue('entryFileName');
    if (page.url === page.project.url ||
        ((page.url === entryFileName || page.url === 'readme_.md') &&
            page.url.split(path.sep).length === 1)) {
        return '';
    }
    const homeLabel = context.helpers.getIndexTitle(context.getText('breadcrumbs.home'), page.project.name, page.project.packageVersion);
    md.push(context.partials.linkTo(homeLabel, entryFileName));
    const breadcrumb = (model) => {
        if (model?.parent?.parent) {
            breadcrumb(model.parent);
        }
        const getUrl = (model) => {
            if (Boolean(model.readme)) {
                return `${path.dirname(model.url)}/${entryFileName}`;
            }
            return model.url;
        };
        if (model.name !== context.options.getValue('entryModule')) {
            md.push(context.partials.linkTo((0, utils_1.escapeChars)(model.name), getUrl(model)));
        }
    };
    const pageName = (0, utils_1.escapeChars)(page.model.name);
    if (page.model?.parent?.parent &&
        (page.url !== page.project.url ||
            page.url !== context.options.getValue('entryFileName'))) {
        breadcrumb(page.model.parent);
    }
    md.push(pageName);
    return md.length > 1 ? `${md.join(' / ')}` : '';
}
exports.breadcrumbs = breadcrumbs;
