"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.comment = void 0;
const markdown_1 = require("../markdown");
const utils_1 = require("../utils");
function comment(context, comment, headingLevel, showSummary = true, showTags = true) {
    const md = [];
    if (showSummary && comment.summary?.length > 0) {
        md.push(context.partials.commentParts(comment.summary));
    }
    if (showTags && comment.blockTags?.length) {
        const tags = comment.blockTags
            .filter((tag) => tag.tag !== '@returns')
            .map((tag) => {
            const tagName = tag.tag.substring(1);
            const tagText = (0, utils_1.camelToTitleCase)(tagName);
            const tagMd = [
                headingLevel ? (0, markdown_1.heading)(headingLevel, tagText) + '\n' : (0, markdown_1.bold)(tagText),
            ];
            tagMd.push(context.partials.commentParts(tag.content));
            return tagMd.join('\n');
        });
        md.push(tags.join('\n\n'));
    }
    return (0, utils_1.escapeComments)(md.join('\n\n'));
}
exports.comment = comment;
