"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.linkTo = void 0;
const path = __importStar(require("path"));
const markdown_1 = require("../markdown");
const utils_1 = require("../utils");
function linkTo(context, label, url) {
    const URL_PREFIX = /^(http|ftp)s?:\/\//;
    if (typeof url !== 'string') {
        return label;
    }
    if (URL_PREFIX.test(url)) {
        return (0, markdown_1.link)(label, url);
    }
    else {
        const publicPath = context.options.getValue('publicPath');
        if (publicPath) {
            return (0, markdown_1.link)(label, context.parseUrl(path.join(publicPath, url)));
        }
        const relativeUrl = (0, utils_1.getRelativeUrl)(url, context.page?.url);
        return (0, markdown_1.link)(label, context.parseUrl(relativeUrl));
    }
}
exports.linkTo = linkTo;
