"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.typeParametersList = void 0;
const markdown_1 = require("../markdown");
function typeParametersList(context, typeParameters) {
    const rows = [];
    typeParameters?.forEach((typeParameter) => {
        const row = [];
        const nameCol = [(0, markdown_1.bold)(typeParameter.name)];
        if (typeParameter.type) {
            nameCol.push(`extends ${context.partials.someType(typeParameter.type)}`);
        }
        if (typeParameter.default) {
            nameCol.push(`= ${context.partials.someType(typeParameter.default)}`);
        }
        row.push('• ' + nameCol.join(' '));
        if (typeParameter.comment) {
            row.push(context.partials.comment(typeParameter.comment));
        }
        rows.push(row.join('\n\n'));
    });
    return rows.join('\n\n');
}
exports.typeParametersList = typeParametersList;
