"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.constructorMember = void 0;
const markdown_1 = require("../markdown");
const utils_1 = require("../utils");
function constructorMember(context, reflection, headingLevel) {
    const md = [];
    reflection.signatures?.forEach((signature) => {
        const params = signature.parameters?.map((param) => param.name).join(', ');
        md.push((0, markdown_1.heading)(headingLevel, `${(0, utils_1.escapeChars)(signature.name)}(${params})`));
        md.push(context.partials.signatureMember(signature, headingLevel + 1));
    });
    return md.join('\n\n');
}
exports.constructorMember = constructorMember;
