"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.memberHierarchy = void 0;
const markdown_1 = require("../markdown");
function memberHierarchy(context, declarationHierarchy, headingLevel) {
    const md = [];
    const parent = !declarationHierarchy.isTarget
        ? declarationHierarchy.types
            .map((hierarchyType) => {
            return getHierarchyType(hierarchyType, declarationHierarchy.isTarget || false, context);
        })
            .join('.')
        : null;
    if (declarationHierarchy.next) {
        if (parent) {
            md.push((0, markdown_1.heading)(headingLevel, context.getText('label.extends')));
            md.push(`- ${parent}`);
        }
        else {
            md.push((0, markdown_1.heading)(headingLevel, context.getText('label.extendedBy')));
            const lines = [];
            declarationHierarchy.next.types.forEach((hierarchyType) => {
                lines.push(getHierarchyType(hierarchyType, declarationHierarchy.next?.isTarget || false, context));
            });
            md.push((0, markdown_1.unorderedList)(lines));
        }
    }
    return md.join('\n\n');
}
exports.memberHierarchy = memberHierarchy;
function getHierarchyType(hierarchyType, isTarget, context) {
    return isTarget
        ? (0, markdown_1.bold)((0, markdown_1.backTicks)(hierarchyType.toString()))
        : context.partials.someType(hierarchyType);
}
