"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.referenceMember = void 0;
const typedoc_1 = require("typedoc");
function referenceMember(context, props) {
    let referenced = props.tryGetTargetReflectionDeep();
    const reExportsText = context.getText('label.reExports');
    const renamesAndReExportsText = context.getText('label.renamesAndReExports');
    if (!referenced) {
        return `${reExportsText} ${props.name}`;
    }
    if (referenced?.kindOf(typedoc_1.ReflectionKind.TypeLiteral) && referenced.parent) {
        referenced = referenced?.parent;
    }
    if (!referenced?.url) {
        return `${reExportsText} ${referenced.name}`;
    }
    if (props.name === referenced.name) {
        return `${reExportsText} ${context.partials.linkTo(referenced.name, referenced.url)}`;
    }
    return `${renamesAndReExportsText} ${context.partials.linkTo(referenced.name, referenced.url)}`;
}
exports.referenceMember = referenceMember;
