"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.signatureParameters = void 0;
const markdown_1 = require("../markdown");
/**
 * @category Partials
 */
function signatureParameters(context, parameters, format = false) {
    const firstOptionalParamIndex = parameters.findIndex((parameter) => parameter.flags.isOptional);
    return ('(' +
        parameters
            .map((param, i) => {
            const paramsmd = [];
            if (param.flags.isRest) {
                paramsmd.push('...');
            }
            const paramItem = `${(0, markdown_1.backTicks)(param.name)}${param.flags.isOptional ||
                (firstOptionalParamIndex !== -1 && i > firstOptionalParamIndex)
                ? '?'
                : ''}`;
            paramsmd.push(`${format && parameters.length > 2 ? `\n   ` : ''}${paramItem}`);
            return paramsmd.join('');
        })
            .join(`, `) +
        ')');
}
exports.signatureParameters = signatureParameters;
