"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sources = void 0;
const markdown_1 = require("../markdown");
const utils_1 = require("../utils");
function sources(context, reflection, headingLevel) {
    const md = [];
    if (headingLevel !== -1) {
        md.push((0, markdown_1.heading)(headingLevel, context.getText('label.source')));
    }
    reflection.sources?.forEach((source, index) => {
        if (index === 0) {
            if (source.url) {
                md.push((0, markdown_1.link)(`${(0, utils_1.escapeChars)(source.fileName)}:${source.line}`, source.url));
            }
            else {
                md.push(`${(0, utils_1.escapeChars)(source.fileName)}:${source.line}`);
            }
        }
    });
    return md.join('\n\n');
}
exports.sources = sources;
