"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.typeDeclarationMember = void 0;
function typeDeclarationMember(context, typeDeclaration, headingLevel) {
    const md = [];
    if (typeDeclaration.children) {
        if (context.options.getValue('typeDeclarationFormat') === 'table') {
            md.push(context.partials.typeDeclarationTable(typeDeclaration.children));
        }
        else {
            const declarations = context.helpers.flattenDeclarations(typeDeclaration.children);
            declarations.forEach((declaration) => {
                md.push(context.partials.member(declaration, headingLevel + 1, true));
            });
        }
    }
    return md.join('\n\n');
}
exports.typeDeclarationMember = typeDeclarationMember;
