"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pageTitle = void 0;
const typedoc_1 = require("typedoc");
function pageTitle(context, page) {
    if (page.model?.url === page.project.url) {
        const titleContent = context.options.isSet('indexPageTitle')
            ? context.options.getValue('indexPageTitle')
            : context.getText('title.indexPage');
        return context.helpers.getIndexTitle(titleContent, page.project.name, page.project.packageVersion);
    }
    const name = context.partials.memberTitle(page.model);
    const textContent = page.model.kindOf(typedoc_1.ReflectionKind.Module)
        ? context.getText('title.modulePage')
        : context.options.isSet('memberPageTitle')
            ? context.options.getValue('memberPageTitle')
            : context.getText('title.memberPage');
    return textContent
        .replace('{name}', name)
        .replace('{kind}', context.getTextFromKindString(typedoc_1.ReflectionKind.singularString(page.model.kind)));
}
exports.pageTitle = pageTitle;
