"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.reflectionFlags = void 0;
const markdown_1 = require("../markdown");
const utils_1 = require("../utils");
function reflectionFlags(context, reflection) {
    const flagsNotRendered = [
        '@showCategories',
        '@showGroups',
        '@hideCategories',
        '@hideGroups',
    ];
    const flags = [];
    if (reflection.comment) {
        for (const tag of reflection.comment.modifierTags) {
            if (!flagsNotRendered.includes(tag)) {
                flags.push((0, utils_1.camelToTitleCase)(tag.substring(1)));
            }
        }
    }
    return flags.map((item) => (0, markdown_1.backTicks)(item)).join(' ');
}
exports.reflectionFlags = reflectionFlags;
