"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.typeDeclarationTable = void 0;
const markdown_1 = require("../markdown");
const utils_1 = require("../utils");
function typeDeclarationTable(context, props) {
    const headers = [];
    headers.push(context.getText('label.member'));
    headers.push(context.getText('label.type'));
    headers.push(context.getText('label.description'));
    const declarations = context.helpers.flattenDeclarations(props, true);
    const rows = [];
    declarations.forEach((declaration, index) => {
        const row = [];
        row.push((0, utils_1.formatTableNameCol)(declaration.name));
        row.push(context.partials
            .someType(declaration.type)
            .replace(/\n/g, ' '));
        const comments = declaration.comment;
        if (comments) {
            row.push((0, utils_1.stripLineBreaks)((0, utils_1.formatTableDescriptionCol)(context.partials.comment(comments))));
        }
        else {
            row.push('-');
        }
        rows.push(row);
    });
    return (0, markdown_1.table)(headers, rows);
}
exports.typeDeclarationTable = typeDeclarationTable;
