"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.functionType = void 0;
const markdown_1 = require("../markdown");
function functionType(context, signatures, forceParameterType = false) {
    const functions = signatures.map((fn) => {
        const typeParams = fn.typeParameters
            ? `\\<${fn.typeParameters
                .map((typeParameter) => (0, markdown_1.backTicks)(typeParameter.name))
                .join(', ')}\\>`
            : [];
        const showParameterType = forceParameterType ||
            !context.options.getValue('hideParameterTypesInTitle');
        const params = fn.parameters
            ? fn.parameters.map((param) => {
                const paramType = context.partials.someType(param.type);
                const paramItem = [
                    `${param.flags.isRest ? '...' : ''}${(0, markdown_1.backTicks)(param.name)}${param.flags.isOptional ? '?' : ''}`,
                ];
                if (showParameterType) {
                    paramItem.push(paramType);
                }
                return paramItem.join(': ');
            })
            : [];
        const returns = context.partials.someType(fn.type);
        return typeParams + `(${params.join(', ')}) => ${returns}`;
    });
    return functions.join('');
}
exports.functionType = functionType;
