"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.referenceType = void 0;
const markdown_1 = require("../markdown");
function referenceType(context, referenceType, foreCollpase = false) {
    if (referenceType.reflection ||
        (referenceType.name && referenceType.typeArguments)) {
        const reflection = [];
        if (referenceType.reflection?.url) {
            reflection.push(context.partials.linkTo((0, markdown_1.backTicks)(referenceType.reflection.name), referenceType.reflection.url));
        }
        else {
            reflection.push(referenceType.externalUrl
                ? context.partials.linkTo((0, markdown_1.backTicks)(referenceType.name), referenceType.externalUrl)
                : (0, markdown_1.backTicks)(referenceType.name));
        }
        if (referenceType.typeArguments && referenceType.typeArguments.length) {
            reflection.push(context.partials.typeArguments(referenceType.typeArguments, foreCollpase));
        }
        return reflection.join('');
    }
    return referenceType.externalUrl
        ? `[${(0, markdown_1.backTicks)(referenceType.name)}]( ${referenceType.externalUrl} )`
        : (0, markdown_1.backTicks)(referenceType.name);
}
exports.referenceType = referenceType;
