"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.someType = void 0;
const typedoc_1 = require("typedoc");
const markdown_1 = require("../markdown");
function someType(context, someType, foreCollpase = false) {
    if (!someType) {
        return '';
    }
    if (someType instanceof typedoc_1.ArrayType) {
        return context.partials.arrayType(someType);
    }
    if (someType instanceof typedoc_1.ConditionalType) {
        return context.partials.conditionalType(someType);
    }
    if (someType instanceof typedoc_1.IndexedAccessType) {
        return context.partials.indexAccessType(someType);
    }
    if (someType instanceof typedoc_1.InferredType) {
        return context.partials.inferredType(someType);
    }
    if (someType instanceof typedoc_1.IntersectionType && someType.types) {
        return context.partials.intersectionType(someType);
    }
    if (someType instanceof typedoc_1.IntrinsicType && someType.name) {
        return context.partials.intrinsicType(someType);
    }
    if (someType instanceof typedoc_1.QueryType) {
        return context.partials.queryType(someType);
    }
    if (someType instanceof typedoc_1.ReferenceType) {
        return context.partials.referenceType(someType, foreCollpase);
    }
    if (someType instanceof typedoc_1.ReflectionType) {
        return context.partials.reflectionType(someType, foreCollpase);
    }
    if (someType instanceof typedoc_1.TypeOperatorType) {
        return context.partials.typeOperatorType(someType);
    }
    if (someType instanceof typedoc_1.TupleType && someType.elements) {
        return context.partials.tupleType(someType);
    }
    if (someType instanceof typedoc_1.UnionType && someType.types) {
        return context.partials.unionType(someType);
    }
    if (someType instanceof typedoc_1.UnknownType) {
        return context.partials.unknownType(someType);
    }
    if (someType instanceof typedoc_1.NamedTupleMember) {
        return context.partials.namedTupleType(someType);
    }
    if (someType.toString() == 'null') {
        return (0, markdown_1.backTicks)('null');
    }
    return (0, markdown_1.backTicks)(someType?.toString());
}
exports.someType = someType;
