"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.projectTemplate = void 0;
const markdown_1 = require("../markdown");
function projectTemplate(context, page) {
    const md = [];
    md.push(context.hook('page.begin').join('\n'));
    if (!context.options.getValue('hidePageHeader')) {
        md.push(context.partials.header(page));
    }
    if (!context.options.getValue('hideBreadcrumbs')) {
        md.push(context.partials.breadcrumbs(page));
    }
    const includeReadme = context.options.getValue('mergeReadme') && Boolean(page.model.readme);
    if (includeReadme && page.model.readme) {
        md.push(context.partials.commentParts(page.model.readme));
    }
    if (!context.options.getValue('hidePageTitle') && !includeReadme) {
        md.push((0, markdown_1.heading)(1, context.partials.pageTitle(page)));
    }
    md.push(context.hook('content.begin').join('\n'));
    if (page.model.comment) {
        md.push(context.partials.comment(page.model.comment, 2));
    }
    md.push(context.partials.pageIndex(page, 2));
    md.push(context.partials.members(page.model, 2));
    md.push(context.hook('page.end').join('\n'));
    return md.join('\n\n');
}
exports.projectTemplate = projectTemplate;
